Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Unexpected_Message Struct Reference

`#include <tls_exceptn.h>`

Inheritance diagram for Botan::TLS::Unexpected_Message:

## Public Member Functions
Alert::Type | type () const
| Unexpected_Message (const std::string &err)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Unexpected_Message Exception

Definition at line 37 of file tls_exceptn.h.

## Constructor & Destructor Documentation

Botan::TLS::Unexpected_Message::Unexpected_Message | ( | const std::string & | err | ) |
| inline explicit

Definition at line 39 of file tls_exceptn.h.

39 :
40 TLS_Exception(Alert::UNEXPECTED_MESSAGE, err) {}
Botan::TLS::TLS_Exception::TLS_Exception
TLS_Exception(Alert::Type type, const std::string &err_msg="Unknown error")
Definition: tls_exceptn.h:26
Botan::TLS::Alert::UNEXPECTED_MESSAGE
Definition: tls_alert.h:29

## Member Function Documentation

Alert::Type Botan::TLS::TLS_Exception::type | ( |  | ) | const
| inline inherited

Definition at line 24 of file tls_exceptn.h.

Referenced by Botan::TLS::Channel::received_data().

24 { return m_alert_type; }

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following file:

- src/lib/tls/tls_exceptn.h